#!/bin/bash

. scripts/profile.sh

CMDS='ouf_update ouf_fetch scripts/picapull.pl scripts/decode.pl'
if [ ! -d log ]
  then
    mkdir log
fi

for c in $CMDS
  do
    # LOG=`echo ${c} | sed -E 's/^.*\/|\..*$//g'`
    PID=`ps ax | grep $c | grep -v grep | sed -E 's/^ *//' | cut -d ' ' -f 1`
    if [ $PID ]
      then
        echo "WARN: ${c} is already running (PID ${PID})"
      else
        F=`echo $c | sed -E 's/^scripts.//'`
        $c > "/dev/null" 2>"log/${F}.err" &
        sleep .2
        PID=`ps ax | grep ${c} | grep -v grep | sed 's/^ *//' | cut -d ' ' -f 1`
        echo "Starting ${c} (PID ${PID})"
    fi
done
