/*========================================================================
 *  Copyright (c) 1994 by Pica
 *
 *  File	: cvt.h
 *  Description	: Convert Titles
 *  Author(s)	: Hans van Eck
 *  Creation	: 09-05-1994
 *
 *  History:
 *  09-05-1994	: eck      : creation
 *  12-05-1995	: eck      : added error-numbers CVTCompile()/CVTDestroy().
 *
 *  Notes	:
 *
 *========================================================================
 */

#if ! defined(CVT_H_INCLUDED)
#define CVT_H_INCLUDED

#pragma ident "$Id: cvt.h 261102 2010-11-30 15:22:09Z sieburgw $"

#include <stddef.h>
#include <pica.h>

ERROR_TYPE(CVTErrno_t);

ERROR_DECLARE(CVTE_NOERROR);
ERROR_DECLARE(CVTE_NOMEM);
ERROR_DECLARE(CVTE_FORMAT);

extern CVTErrno_t CVTerrno;

bool CVTMarc(const char *format, const byte *Marc_in,
	    char *Obuf, size_t Obuf_siz);

bool CVTCompile(const char *name, const char *cvttab, const char *options);

void CVTDestroy(const char *name);

#endif /* ! defined(CVT_H_INCLUDED) */
