/*
 *  Copyright (c) 1993 by Pica
 *
 *  File	: fep.h
 *  Description	: frontend include file
 *  Author(s)	: Rob Koopman
 *  Creation	: 08-12-1993
 *
 *  History:
 *  08-12-1993	: rob      : creation
 *
 *  Notes	:
 *
 */

#if ! defined(FEP_H_INCLUDED)
#define FEP_H_INCLUDED

#pragma ident "$Id: fep.h 261102 2010-11-30 15:22:09Z sieburgw $"

#include <pica.h>
#include <er.h>

typedef enum {
    FEActive, FEPassive
} FEType_t;

typedef enum {
    FEConnected, FEDisconnected
} FEConnect_t;

#define FE_PDUMAX 9999

ERROR_TYPE(FEErrno_t);

ERROR_DECLARE(FEE_NOERROR);
ERROR_DECLARE(FEE_TIMEOUT);
ERROR_DECLARE(FEE_DISCONNECT);
ERROR_DECLARE(FEE_CONNABORT);
ERROR_DECLARE(FEE_SOCKETS);

extern FEErrno_t FEerrno;

typedef int FEHandle_t;

#define FE_NOHANDLE	((FEHandle_t) -1)

FEConnect_t FEStop(FEHandle_t FEHandle);

FEConnect_t FEReceive(FEHandle_t FEHandle, char *FEBuffer, int FELen);

FEConnect_t FESend(FEHandle_t FEHandle, char *FEBuffer, int FELen);

FEConnect_t FESendAbort(FEHandle_t FEHandle);

FEErrno_t FEError(FEHandle_t FEHandle);

FEHandle_t FEStart(FEType_t FEHandle, const char *FEAddress);

int FE_fildes(FEHandle_t FEHandle);

#endif /* ! defined(FEP_H_INCLUDED) */
