/*========================================================================
 *  Copyright (c) 1999 by Pica
 *
 *  File	: fioopc_oususr.h
 *  Description	: 
 *  Author(s)	: Els van Doorn
 *  Creation	: 20-09-1999
 *
 *  History:
 *  20-09-1999	: els      : creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#ifndef FIOOPC_OUSUSR_H_INCLUDED
#define FIOOPC_OUSUSR_H_INCLUDED

#pragma ident "$Id: fioopc_oususr.h 261102 2010-11-30 15:22:09Z sieburgw $"


#ifndef FIO_authorized_t_TYPED
#define FIO_authorized_t_TYPED
typedef char	authorized_t[50 + 1];
#endif


/* Structure in which records are stored */

typedef struct FIOopc_oususerRecord_t {
	int16	usernr;
	int16	iln;
	int16	counter_number;
	authorized_t	authorized;
	timestamp_t	opc_oususer_ts;
} FIOopc_oususerRecord_t;


bool
FIOopc_oususer_SEL0 (
    FIOHandle_p handle,
    const char *options,
    FIOopc_oususerRecord_t *record );
bool
FIOopc_oususer_MSEL0 (
    FIOHandle_p handle,
    const char *options,
    FIOopc_oususerRecord_t *record );
bool
FIOopc_oususer_INS0 (
    FIOHandle_p handle,
    const char *options,
    FIOopc_oususerRecord_t *record );
bool
FIOopc_oususer_UPD0 (
    FIOHandle_p handle,
    const char *options,
    FIOopc_oususerRecord_t *record );
bool
FIOopc_oususer_DEL0 (
    FIOHandle_p handle,
    const char *options,
    FIOopc_oususerRecord_t *record );

bool
FIOopc_oususer_NEXT (
    FIOHandle_p handle, const char *options,
    FIOopc_oususerRecord_t *record );
#endif /* FIOOPC_OUSUSR_H_INCLUDED */

