/*========================================================================
 *  Copyright (c) 1999 by Pica
 *
 *  File	: fioous_counter.h
 *  Description	: 
 *  Author(s)	: Els van Doorn
 *  Creation	: 05-10-1999
 *
 *  History:
 *  05-10-1999	: els      : creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#ifndef FIOOUS_COUNTER_H_INCLUDED
#define FIOOUS_COUNTER_H_INCLUDED

#pragma ident "$Id: fioous_counter.h 261102 2010-11-30 15:22:09Z sieburgw $"

#ifndef FIO_printer_name_t_TYPED
#define FIO_printer_name_t_TYPED
typedef char	printer_name_t[30 + 1];
#endif

#ifndef FIO_dbdatetime_t_TYPED
#define FIO_dbdatetime_t_TYPED
typedef char	dbdatetime_t[30 + 1];
#endif

#ifndef FIO_transport_station_t_TYPED
#define FIO_transport_station_t_TYPED
typedef char	transport_station_t[6 + 1];
#endif

#ifndef FIO_password_t_TYPED
#define FIO_password_t_TYPED
typedef char	counter_password_t[6 + 1];
#endif

#ifndef FIO_description_t_TYPED
#define FIO_description_t_TYPED
typedef char	description_t[255 + 1];
#endif

/* Structure in which records are stored */

typedef struct FIOous_counterRecord_t {
	int16	iln;
	int16	counter_number;
	int8	department_code;
	description_t	description;
	dbdatetime_t	edit_date;
	dbdatetime_t	input_date;
	counter_password_t	password;
	printer_name_t	printer_bld_cards;
	printer_name_t	printer_labels;
	printer_name_t	printer_mail;
	printer_name_t	printer_name;
	transport_station_t	transport_station;
	int8	type_of_loan_default;
	timestamp_t	counter_ts;
} FIOous_counterRecord_t;

bool
FIOous_counter_SEL0 (
    FIOHandle_p handle,
    const char *options,
    FIOous_counterRecord_t *record );
bool
FIOous_counter_INS0 (
    FIOHandle_p handle,
    const char *options,
    FIOous_counterRecord_t *record );
bool
FIOous_counter_UPD0 (
    FIOHandle_p handle,
    const char *options,
    FIOous_counterRecord_t *record );
bool
FIOous_counter_DEL0 (
    FIOHandle_p handle,
    const char *options,
    FIOous_counterRecord_t *record );

bool
FIOous_counter_NEXT (
    FIOHandle_p handle, const char *options,
    FIOous_counterRecord_t *record );

#endif /* FIOOUS_COUNTER_H_INCLUDED */
