/*========================================================================
 *  Copyright (c) 2011 by OCLC
 *
 *  File	: z39.h
 *  Description	: 
 *  Author(s)	: Wouter Sieburgh
 *  Creation	: 23-02-2011
 *
 *  History:
 *  23-02-2011	: sieburgw : creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#ifndef Z39_H_INCLUDED
#define Z39_H_INCLUDED

#pragma ident "$Id: z39.h 335412 2016-05-27 11:01:38Z heesakkm $"

/*
 * Enumeration values as (a.o.) used by the CAT-server
 * MIND: The CAT-server does not use these symbols yet,
 * but uses hard-coded values!
 */

typedef enum {
    Z39_DIAG_UNABLE_TO_READ_SUPPLIED_RECORD		= 945,
    Z39_DIAG_INSERT_ACCEPTED				= 950,
    Z39_DIAG_INSERT_ACCEPTED_MODIFIED,			/* 951 */
    Z39_DIAG_INSERT_FAILED,				/* 952 */
    Z39_DIAG_REPLACE_UPDATE_ACCEPTED,			/* 953 */
    Z39_DIAG_UPDATED_ACCEPTED_MODIFIED,			/* 954 */
    Z39_DIAG_RECORD_NOT_IDENTIFIABLE,			/* 955 */
    Z39_DIAG_RECORD_PROTECTED_OR_LOCKED,		/* 956 */
    Z39_DIAG_RECORD_NOT_LOCKED_BY_REQUESTER,		/* 957 */
    Z39_DIAG_DELETE_ACCEPTED,				/* 958 */
    Z39_DIAG_DELETE_FAILED_RECORD_NOT_FOUND,		/* 959 */
    Z39_DIAG_DELETE_FAILED,				/* 960 */
    Z39_DIAG_DELETE_FAILED_DBERROR,			/* 961 */
    Z39_DIAG_DELETE_FAILED_LINKED_HOLDINGS,		/* 962 */
    Z39_DIAG_DELETE_FAILED_LINKED_ORDERS,		/* 963 */
    Z39_DIAG_UPDATE_FAILED_VERSION_CONFLICT,		/* 964 */
    Z39_DIAG_UPDATE_FAILED_GARBLED_TIMESTAMP,		/* 965 */
    Z39_DIAG_UPDATE_FAILED_NOT_AUTHORIZED,		/* 966 */
    Z39_DIAG_UPDATE_FAILED_NOT_INTERACTIVE,		/* 967 */
    Z39_DIAG_UPDATE_FAILED_DBERROR,			/* 968 */
    Z39_DIAG_REPLACEMENT_PROCESSED_AS_INSERT,		/* 969 */
    Z39_DIAG_INSERT_FAILED_SUSPECT_DUPLICATE,		/* 970 */
    Z39_DIAG_INSERT_FAILED_SUSPECT_DUPLICATE_WARN	/* 971 */
} Z39_Diag_t;

#endif /* Z39_H_INCLUDED */

