/*========================================================================
 *  Copyright (c) 1993 by Pica
 *
 *  File	: adbdestroy.c
 *  Description	: Delete all of an ADB
 *  Author(s)	: Hans van Eck
 *  Creation	: 17-11-1993
 *
 *  History:
 *  17-11-1993	: eck      : creation
 *
 *========================================================================
 */

#pragma ident "$Id: adbdestroy.c 295831 2013-01-29 11:28:09Z helspere $"

#include <pica.h>
#include <adb.h>
#include "adblocal.h"

/*------------------------------------------------------------------------
 *  Function	: ADBDestroy
 *  Purpose	: Free an ADB
 *  Method	: - destroy the with-stack
 *		: - then free the element-list
 *		: - free the handle
 *
 *  History:
 *  18-11-1993	: eck      : creation
 */
void
ADBDestroy(
	ADBHandle_p	ADBhandle)	/* The ADB to destroy */
{
    if (NULL == ADBhandle){
	return;
    }
    /* First destroy the with-stack! */
    while (ADBhandle->sh_first != ADBhandle->sh_last) {
	if (! ADBWithEnd(ADBhandle)) break;
    }
    ADBLFreeStackelt(ADBhandle->sh_first);
    ADBLFreeEltList(ADBhandle->sh_adb);
    ADBLFreeHandle(ADBhandle);
} /* ADBDestroy() */
