/*========================================================================
 *  Copyright (c) 1993 by Pica
 *
 *  File	: adbnametable.c
 *  Description	: The handler for element names in all ADB's
 *  Author(s)	: Hans van Eck
 *  Creation	: 05-11-1993
 *
 *  History:
 *  05-11-1993	: eck      : creation
 *  10-11-1993	: eck      : allowed failed malloc's & changed some names
 *  22-04-1996	: eck      : Adapted to new NMT-library.  This deleted most
 *			   : of the code.
 *
 *========================================================================
 */

#pragma ident "$Id: adbnametable.c 331081 2015-11-12 14:23:40Z heesakkm $"

#include <stdlib.h>
#include <string.h>
#include <pica.h>
#include <picamisc.h>
#include <adb.h>
#include <nmt.h>
#include "adblocal.h"

/* The definition of the actual table. */
NMTHandle_p ADBNameTable = NULL;

/*------------------------------------------------------------------------
 *  Function	: ADBNameNewOld
 *  Purpose	: Lets NMTPut() and NMTGet() return the name
 *  Method	: Just return the name (except when New == NULL)
 *
 *  History:
 *  19-04-1996	: eck      : creation
 *
 *  Returns	: the first argument
 *------------------------------------------------------------------------
 */
cvoidp
ADBNameNewOld(
	const char	*name,	/* name of the value */
	cvoidp		New,	/* the new value (ignored if not NULL) */
	cvoidp		Old)	/* current name (always ignored) */
{
    (void) Old;	// Keep lint happy

    if (New == NULL) return NULL;
    return (voidp) name;
} /* ADBNameNewOld() */
