<!--
#
#  Copyright (c) 2013 by OCLC
#
#  File		: er.md
#  Description	: General description of the ER library
#  Author(s)	: Martin Zwaal
#  Creation	: 18-09-2013
#
#  History:
#  18-09-2013	: martinz  : creation
#
#  SVN ident	: $Id: er.md 307506 2014-01-22 10:52:31Z sieburgw $
-->

The ER library
==============

Error Structure
---------------

In case any error occurs in the software the system manager should be able to
react in a fast and proper way. For that purpose all Pica software uses the
same, standarized error-reporting mechanism, coded in the ER-library.

Errors are stored into an error logbook.
In this file each record is composed of the following fields:

- Date and time of the error
- Process identification
- Name of the application that detected the error
- Error code
- Location within the application (optional)
- Error comment (optional)

A second important file is the error textfile.
In this file each record consists of:

- Error code
- Error type
- Language code ('EN','DE','FR','NE')
- Error description
- Error diagnostics (optional)

The error logbook and textfile are linked by the error code field. For each
error code there is a corresponding record in the texfile containing an error
type, a description of the error and, optionally, how to react on that error.
Both description and diagnostics are multi-lingual. The error type indicates
what kind of error is involved (i/o, netwerk, conversion, etc).
Error codes are mnemonics ("strings").

By convention, each Pica library has its own set of error codes all starting
with the same letters, normally identical to the name of the library.

For example: "TBE_..." (TB library) or "ERE_..." (ER library).

When the application (or library) detects an error it may decide to notify the
operator.

Non-fatal errors may be logged by means of ERWrite(..) ; after a call to
ERWrite the application continues.

Fatal errors may be logged by means of ERAbort(..) ; after a call to ERAbort
the application is aborted (by ERAbort itself).

A special feature is offered by ERTrace(..) ; this routine only writes error
loggings if the global TRACE flag (see: ENV-library) is set to ON, otherwise
the write instruction is ignored ; after a call to ERTrace the application
continues. Trace records are automatically provided of a fixed error code
(zero) and error type (TRC). Trace records have no related descriptions in the
error textfile. All relevant information must therefore be stored into the
location and comment fields.

A second, simular feature is offered by ERWarning(..) ; this routine only
writes error loggings if the global WARNING flag (see: ENV-library) is set to
ON, otherwise the write instruction is ignored ; after a call to ERWarning the
application continues. Error codes in warning records are linked to the error
textfile.

The operator process ERVIEWER is developed to monitor the error logbook. At
startup, ERVIEWER enables the operator to define special filters. For instance
: only display netwerk and I/O errors. ERVIEWER combines the records in the
logbook with the error texfile. In this way, the operator will see (in his own
language) when and where an error occurred and how to react on that error.

The opening and closing of error files is automatically, hidden from the
application, handled by the ER-library.


ERVIEWER
--------

ERVIEWER is an operator utility that monitors events in the error logbook.
It combines information from the logbook with the error textfile.

At startup the program offers the possibility to define (ad-hoc) filters on the
logbook.

The selection mechanism enables an operator to monitor a suspect application,
to trace netwerk problems, to investigate i/o errors, etc.

All selections are optional; if no selection is made, 'all' is assumed.

When an appropriate error logrecord is found, all fields from that record and
the corresponding one in the textfile are used to compose a comprehensive
operator message. Depending on the audible signal setting, a beep may be given
when the message is displayed.

ERVIEWER may be instructed to start at any date/time in the past or in the future.
