/*========================================================================
 *  Copyright (c) 1999 by Pica
 *
 *  File	: fiocode_x_def.h
 *  Description	: 
 *  Author(s)	: Els van Doorn
 *  Creation	: 27-05-1999
 *
 *  History:
 *  27-05-1999	: els      : creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#ifndef FIOCODE_X_DEF_H_INCLUDED
#define FIOCODE_X_DEF_H_INCLUDED

#pragma ident "$Id: fiocode_x_def.h 261102 2010-11-30 15:22:09Z sieburgw $"

#ifndef FIO_material_t_TYPED
#define FIO_material_t_TYPED
typedef char	material_t[2 + 1];
#endif

#ifndef FIO_char1_t_TYPED
#define FIO_char1_t_TYPED
typedef char	char1_t;
#endif

#ifndef FIO_tag_t_TYPED
#define FIO_tag_t_TYPED
typedef char	tag_t[4 + 1];
#endif


/* Structure in which records are stored */

typedef struct FIOcode_x_defRecord_t {
	int8	fno;
	material_t	material;
	tag_t	tag;
	int8	occ_from;
	int8	occ_to;
	int16	iln;
	int8	x_occ;
	char1_t	subfield;
	int8	pos_from;
	int8	pos_to;
	bool	replace_flag;
	char1_t	add_subfield;
	int16	code_x_tablenr;
} FIOcode_x_defRecord_t;

bool
FIOcode_x_def_SEL0 (
    FIOHandle_p handle,
    const char *options,
    FIOcode_x_defRecord_t *record );
bool
FIOcode_x_def_INS0 (
    FIOHandle_p handle,
    const char *options,
    FIOcode_x_defRecord_t *record );
bool
FIOcode_x_def_DEL0 (
    FIOHandle_p handle,
    const char *options,
    FIOcode_x_defRecord_t *record );
bool
FIOcode_x_def_NEXT (
    FIOHandle_p handle, const char *options,
    FIOcode_x_defRecord_t *record );
#endif
