/*========================================================================
 *  Copyright (c) 1999 by Pica
 *
 *  File	: fiocode_x_table.h
 *  Description	: 
 *  Author(s)	: Els van Doorn
 *  Creation	: 27-05-1999
 *
 *  History:
 *  27-05-1999	: els      : creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#ifndef FIOCODE_X_TABLE_H_INCLUDED
#define FIOCODE_X_TABLE_H_INCLUDED

#pragma ident "$Id: fiocode_x_table.h 261102 2010-11-30 15:22:09Z sieburgw $"

#ifndef FIO_expansion_t_TYPED
#define FIO_expansion_t_TYPED
typedef char	expansion_t[72 + 1];
#endif

#ifndef FIO_code_t_TYPED
#define FIO_code_t_TYPED
typedef char	code_t[10 + 1];
#endif



/* Structure in which records are stored */

typedef struct FIOcode_x_tableRecord_t {
	int16	code_x_tablenr;
	code_t	code;
	expansion_t	expansion;
} FIOcode_x_tableRecord_t;

bool
FIOcode_x_table_SEL0 (
    FIOHandle_p handle,
    const char *options,
    FIOcode_x_tableRecord_t *record );
bool
FIOcode_x_table_SEL1 (
    FIOHandle_p handle,
    const char *options,
    FIOcode_x_tableRecord_t *record );
bool
FIOcode_x_table_INS0 (
    FIOHandle_p handle,
    const char *options,
    FIOcode_x_tableRecord_t *record );
bool
FIOcode_x_table_DEL0 (
    FIOHandle_p handle,
    const char *options,
    FIOcode_x_tableRecord_t *record );
bool
FIOcode_x_table_DEL1 (
    FIOHandle_p handle,
    const char *options,
    FIOcode_x_tableRecord_t *record );

bool
FIOcode_x_table_NEXT (
    FIOHandle_p handle, const char *options,
    FIOcode_x_tableRecord_t *record );
#endif
