/*========================================================================
 *  Copyright (c) 1999 by Pica
 *
 *  File	: fioous_concordance.h
 *  Description	: 
 *  Author(s)	: Els van Doorn
 *  Creation	: 20-09-1999
 *
 *  History:
 *  20-09-1999	: els      : creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#ifndef FIOOUS_CONCORDANCE_H_INCLUDED
#define FIOOUS_CONCORDANCE_H_INCLUDED

#pragma ident "$Id: fioous_concordance.h 261102 2010-11-30 15:22:09Z sieburgw $"


#ifndef FIO_explanation_t_TYPED
#define FIO_explanation_t_TYPED
typedef char	explanation_t[64 + 1];
#endif

#ifndef FIO_dbdatetime_t_TYPED
#define FIO_dbdatetime_t_TYPED
typedef char	dbdatetime_t[30 + 1];
#endif

#ifndef FIO_extra_information_t_TYPED
#define FIO_extra_information_t_TYPED
typedef char	extra_information_t[64 + 1];
#endif

#ifndef FIO_storage_code_t_TYPED
#define FIO_storage_code_t_TYPED
typedef char	storage_code_t[6 + 1];
#endif

#ifndef FIO_shelf_mark_t_TYPED
#define FIO_shelf_mark_t_TYPED
typedef char	shelf_mark_t[64 + 1];
#endif

#ifndef FIO_copy_slip_text_t_TYPED
#define FIO_copy_slip_text_t_TYPED
typedef char	copy_slip_text_t[6 + 1];
#endif

/* Structure in which records are stored */

typedef struct FIOous_concordanceRecord_t {
	int16	iln;
	shelf_mark_t	shelf_mark_end;
	copy_slip_text_t	copy_slip_text;
	dbdatetime_t	edit_date;
	explanation_t	explanation;
	extra_information_t	extra_information;
	dbdatetime_t	input_date;
	int8	loan_indication;
	shelf_mark_t	shelf_mark_start;
	storage_code_t	storage_module;
	storage_code_t	storage_room_code;
	timestamp_t	concordance_ts;
} FIOous_concordanceRecord_t;


bool
FIOous_concordance_SEL0 (
    FIOHandle_p handle,
    const char *options,
    FIOous_concordanceRecord_t *record );
bool
FIOous_concordance_INS0 (
    FIOHandle_p handle,
    const char *options,
    FIOous_concordanceRecord_t *record );
bool
FIOous_concordance_UPD0 (
    FIOHandle_p handle,
    const char *options,
    FIOous_concordanceRecord_t *record );
bool
FIOous_concordance_DEL0 (
    FIOHandle_p handle,
    const char *options,
    FIOous_concordanceRecord_t *record );

bool
FIOous_concordance_NEXT (
    FIOHandle_p handle, const char *options,
    FIOous_concordanceRecord_t *record );
#endif /* FIOOUS_CONCORDANCE_H_INCLUDED */
