/*========================================================================
 *  Copyright (c) 1999 by Pica
 *
 *  File	: fioous_department.h
 *  Description	: 
 *  Author(s)	: Els van Doorn
 *  Creation	: 20-09-1999
 *
 *  History:
 *  20-09-1999	: els      : creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#ifndef FIOOUS_DEPARTMENT_H_INCLUDED
#define FIOOUS_DEPARTMENT_H_INCLUDED

#pragma ident "$Id: fioous_department.h 261102 2010-11-30 15:22:09Z sieburgw $"


#ifndef FIO_explanation_t_TYPED
#define FIO_explanation_t_TYPED
typedef char	explanation_t[64 + 1];
#endif

#ifndef FIO_dbdatetime_t_TYPED
#define FIO_dbdatetime_t_TYPED
typedef char	dbdatetime_t[30 + 1];
#endif

#ifndef FIO_default_counters_t_TYPED
#define FIO_default_counters_t_TYPED
typedef char	default_counters_t[255 + 1];
#endif

#ifndef FIO_char1_t_TYPED
#define FIO_char1_t_TYPED
typedef char	char1_t;
#endif

#ifndef FIO_open_t_TYPED
#define FIO_open_t_TYPED
typedef char	open_t[255 + 1];
#endif

#ifndef FIO_institute_code_t_TYPED
#define FIO_institute_code_t_TYPED
typedef char	institute_code_t[25 + 1];
#endif

/* Structure in which records are stored */

typedef struct FIOous_departmentRecord_t {
	int16	iln;
	int8	department_code;
	int32	address_id_nr;
	default_counters_t	default_counters_per_type;
	int8	department_group_nr;
	int16	dest_counter_request_others;
	dbdatetime_t	edit_date;
	explanation_t	explanation;
	dbdatetime_t	input_date;
	int8	join_indication;
	open_t	open_monday;
	open_t	open_tuesday;
	open_t	open_wednesday;
	open_t	open_thursday;
	open_t	open_friday;
	open_t	open_saturday;
	open_t	open_sunday;
	timestamp_t	department_ts;
	institute_code_t	institute_code;
	int8	ill_join_indication;
	int8	ill_priority;
	char1_t	select_flag;
} FIOous_departmentRecord_t;

bool
FIOous_department_SEL0 (
    FIOHandle_p handle,
    const char *options,
    FIOous_departmentRecord_t *record );
bool
FIOous_department_MSEL0 (
    FIOHandle_p handle,
    const char *options,
    FIOous_departmentRecord_t *record );
bool
FIOous_department_INS0 (
    FIOHandle_p handle,
    const char *options,
    FIOous_departmentRecord_t *record );
bool
FIOous_department_UPD0 (
    FIOHandle_p handle,
    const char *options,
    FIOous_departmentRecord_t *record );
bool
FIOous_department_DEL0 (
    FIOHandle_p handle,
    const char *options,
    FIOous_departmentRecord_t *record );

bool
FIOous_department_NEXT (
    FIOHandle_p handle, const char *options,
    FIOous_departmentRecord_t *record );
#endif /* FIOOUS_DEPARTMENT_H_INCLUDED */
