/*========================================================================
 *  Copyright (c) 1999 by Pica
 *
 *  File	: fioous_storage_room.h
 *  Description	: 
 *  Author(s)	: Els van Doorn
 *  Creation	: 20-09-1999
 *
 *  History:
 *  20-09-1999	: els      : creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#ifndef FIOOUS_STORAGE_ROOM_H_INCLUDED
#define FIOOUS_STORAGE_ROOM_H_INCLUDED

#pragma ident "$Id: fioous_storage_room.h 261102 2010-11-30 15:22:09Z sieburgw $"


#ifndef FIO_printer_name_t_TYPED
#define FIO_printer_name_t_TYPED
typedef char	printer_name_t[30 + 1];
#endif

#ifndef FIO_dbdatetime_t_TYPED
#define FIO_dbdatetime_t_TYPED
typedef char	dbdatetime_t[30 + 1];
#endif

#ifndef FIO_transport_station_t_TYPED
#define FIO_transport_station_t_TYPED
typedef char	transport_station_t[6 + 1];
#endif

#ifndef FIO_storage_code_t_TYPED
#define FIO_storage_code_t_TYPED
typedef char	storage_code_t[6 + 1];
#endif

#ifndef FIO_description_t_TYPED
#define FIO_description_t_TYPED
typedef char	description_t[255 + 1];
#endif

/* Structure in which records are stored */

typedef struct FIOous_storage_roomRecord_t {
	int16	iln;
	storage_code_t	storage_room_code;
	int8	department_code;
	description_t	description;
	dbdatetime_t	edit_date;
	dbdatetime_t	input_date;
	int8	loan_indication;
	printer_name_t	printer_name;
	int8	stack_room_code;
	int16	text_number;
	int32	total_no_of_open_loans;
	int32	total_no_of_requests;
	transport_station_t	transport_station;
	timestamp_t	storage_room_ts;
} FIOous_storage_roomRecord_t;


bool
FIOous_storage_room_SEL0 (
    FIOHandle_p handle,
    const char *options,
    FIOous_storage_roomRecord_t *record );
bool
FIOous_storage_room_INS0 (
    FIOHandle_p handle,
    const char *options,
    FIOous_storage_roomRecord_t *record );
bool
FIOous_storage_room_UPD0 (
    FIOHandle_p handle,
    const char *options,
    FIOous_storage_roomRecord_t *record );
bool
FIOous_storage_room_DEL0 (
    FIOHandle_p handle,
    const char *options,
    FIOous_storage_roomRecord_t *record );

bool
FIOous_storage_room_NEXT (
    FIOHandle_p handle, const char *options,
    FIOous_storage_roomRecord_t *record );
#endif /* FIOOUS_STORAGE_ROOM_H_INCLUDED */
