/*========================================================================
 *  Copyright (c) 1999 by Pica
 *
 *  File	: fioreg.h
 *  Description	: 
 *  Author(s)	: Els van Doorn
 *  Creation	: 12-04-1999
 *
 *  History:
 *  12-04-1999	: els      : creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#ifndef FIOREG_H_INCLUDED
#define FIOREG_H_INCLUDED

#pragma ident "$Id: fioreg.h 261102 2010-11-30 15:22:09Z sieburgw $"

typedef struct	reg_datetime_t {
    int days;
    int time;
} reg_datetime_t;

/* Structure in which records are stored */

typedef struct FIOregulationsRecord_t {
	int16	iln;
	int8	department_group_nr;
	int8	parameter_id;
	int8	subkey1;
	int8	subkey2;
	int8	subkey3;
	int8	subkey4;
	int32	number1;
	int32	number2;
	reg_datetime_t	timestamp;
} FIOregulationsRecord_t;

bool
FIOregulations_SEL0 (
    FIOHandle_p handle,
    const char *options,
    const FIOregulationsRecord_t *record );

bool
FIOregulations_SEL1 (
    FIOHandle_p handle,
    const char *options,
    const FIOregulationsRecord_t *record );

bool
FIOregulations_NEXT (
    FIOHandle_p handle,
    const char *options,
    const FIOregulationsRecord_t *record );

bool
FIOregulations_UPD0 (
    FIOHandle_p handle,
    const char *options,
    const FIOregulationsRecord_t *record );

bool
FIOregulations_DEL0 (
    FIOHandle_p handle,
    const char *options,
    const FIOregulationsRecord_t *record );

#endif /* FIOREG_H_INCLUDED */
