/*========================================================================
 *  Copyright (c) 1993 by Pica
 *
 *  File	: idb.h
 *  Description	: Header file for the IDB library
 *  Author(s)	: Lolke Boonstra
 *  Creation	: 21-12-1993
 *
 *  History:
 *  21-12-1993	: lolke    : creation
 *  07-03-2014	: martinz  : Moved documentation from Word file.
 *
 *  Notes	: this library is used ... and misused
 *                IDBGetN and IDBPutA for the misuse 
 *
 *========================================================================
 */

#if ! defined(IDB_H_INCLUDED)
#define IDB_H_INCLUDED

#pragma ident "$Id: idb.h 360943 2018-10-23 16:48:25Z heesakkm $"

#include <stddef.h>
#include <pica.h>

ERROR_TYPE(IDBErrno_t);

ERROR_DECLARE(IDBE_NOERROR);	/* ok */
ERROR_DECLARE(IDBE_NOMEM);	/* not enough memory */
ERROR_DECLARE(IDBE_NOTFOUND);	/* buffer not found */

extern IDBErrno_t IDBerrno;

typedef struct IDB_t *IDBHandle_p;

IDBHandle_p
IDBOpen(void);

void
IDBClose(IDBHandle_p handle);

void
IDBEmpty(IDBHandle_p handle);

int
IDBGetLength(IDBHandle_p handle, char *id);

bool
IDBGet(IDBHandle_p handle, const char *id, char *contents, size_t size);

bool
IDBGetN(IDBHandle_p handle, int n, char *id, char *contents, size_t size);

bool
IDBPut(IDBHandle_p handle, const char *id, const char *contents);

bool
IDBPutA (IDBHandle_p handle, const char *id, const char *contents);

bool
IDBDel(IDBHandle_p handle, const char *id);

#endif /* ! defined(IDB_H_INCLUDED) */
