/*========================================================================
 *  Copyright (c) 2008 by OCLC
 *
 *  File	: idgfilestruct.h
 *  Description	: Defines describing the structure of index files
 *  Author(s)	: Paul Smit
 *  Creation	: 27-11-2008
 *
 *  History:
 *  27-11-2008	: paul     : creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#ifndef IDGFILESTRUCT_H_INCLUDED
#define IDGFILESTRUCT_H_INCLUDED

#pragma ident "$Id: idgfilestruct.h 224473 2008-11-28 15:35:40Z smitp $"

#include <pica.h>

/* Phrase entry structure */

/* Structure of the phrase entry "rectype" byte */
#define IDG_RTBIT_RECTYPE	6U
#define IDG_RTFLD_VARIANT	(0xffffU << IDG_RTBIT_RECTYPE)
#define IDG_RTFLD_RECTYPE	(~IDG_RTFLD_VARIANT)
#define IDG_RTFLD_PACK(rectype, rel) \
    ((rectype & IDG_RTFLD_RECTYPE) \
     | ((rel << IDG_RTBIT_RECTYPE) & IDG_RTFLD_VARIANT))

/* Pointer structure */
#define IDG_PTR_IPN_SIZE	4
#define IDG_PTR_KWORDNR_SIZE	2
#define IDG_PTR_KWORDMAX_SIZE	2
#define IDG_PTR_SIZE		(IDG_PTR_IPN_SIZE		\
				 + IDG_PTR_KWORDNR_SIZE		\
				 + IDG_PTR_KWORDMAX_SIZE)

#endif /* IDGFILESTRUCT_H_INCLUDED */

