/*========================================================================
 *  Copyright (c) 1994 by Pica
 *
 *  File	: nio.h
 *  Description	: Include file for NIO-library
 *  Author(s)	: Pica maintenance
 *  Creation	: 16-08-1994
 *
 *  History:
 *  16-08-1994	: pica     : creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#if !defined NIO_INCLUDED
#define NIO_INCLUDED

#pragma ident "$Id: nio.h 261102 2010-11-30 15:22:09Z sieburgw $"

#include <pica.h>
#include <er.h>

typedef int NIOHandle_t;

#define NIO_NOHANDLE -1

ERROR_TYPE(NIOErrno_t);

ERROR_DECLARE(NIOE_NOERROR);
ERROR_DECLARE(NIOE_MAXCONN);
ERROR_DECLARE(NIOE_OPENERR);
ERROR_DECLARE(NIOE_OPTION);
ERROR_DECLARE(NIOE_HANDLE);
ERROR_DECLARE(NIOE_SENDERR);
ERROR_DECLARE(NIOE_RECVERR);

extern NIOErrno_t NIOerrno;

NIOHandle_t NIOOpen(const char *);

bool NIOSend(NIOHandle_t, char *, size_t);

size_t NIORecv(NIOHandle_t, char *, size_t);

bool NIOClose(NIOHandle_t);

unsigned int NIOElapsed(NIOHandle_t);

int NIO_fildes(NIOHandle_t);

#endif
