/*========================================================================
 *  Copyright (c) 2000 by Pica
 *
 *  File	: pica_algo.h
 *  Description	: Some generic C++ templates
 *  Author(s)	: Bas de Bakker
 *  Creation	: 14-06-2000
 *
 *  History:
 *  14-06-2000	: BdB	: creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#ifndef PICA_ALGO_H_INCLUDED
#define PICA_ALGO_H_INCLUDED

#pragma ident "$Id: pica_algo.h 261102 2010-11-30 15:22:09Z sieburgw $"

#include <algorithm>

// This one from Stroustrup page 534
template<class C> void eliminate_duplicates(C &c)
{
    std::sort(c.begin(), c.end());
    typename C::iterator p(std::unique(c.begin(), c.end()));
    c.erase(p, c.end());
}

#endif /* PICA_ALGO_H_INCLUDED */
