/*========================================================================
 *  Copyright (c) 1996 by Pica
 *
 *  File	: smtp.h
 *  Description	: Header file for SMTP library
 *  Author(s)	: Lolke Boonstra
 *  Creation	: 19-04-1996
 *
 *  History:
 *  19-04-1996	: lolke    : creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#pragma ident "$Id: smtp.h 261102 2010-11-30 15:22:09Z sieburgw $"

#if ! defined(SMTP_H_INCLUDED)
#define SMTP_H_INCLUDED

#include <stddef.h>

#include <pica.h>

ERROR_TYPE(SMTPErrno_t);

ERROR_DECLARE(SMTPE_ERROR);
ERROR_DECLARE(SMTPE_NOERROR);
ERROR_DECLARE(SMTPE_NOMEM);
ERROR_DECLARE(SMTPE_INVALID_HEADER);

extern SMTPErrno_t SMTPerrno;

bool SMTPParseHeader(const char *, int, bool (*func)(const char *, const char *));
bool SMTPPutHeaderLine(char **, const char *, const char *);
bool SMTPPutBody(char **, const char *, size_t);

bool SMTPSendMail(const char *, const char *, const char *);
size_t SMTPReceiveMail(int, char **);

#endif /* ! defined(SMTP_H_INCLUDED) */
