<!--
#
#  Copyright (c) 2014 by OCLC
#
#  File		: nio.md
#  Description	: Documentation for the (obsolete) NIO library
#  Author(s)	: Hans van Eck
#  Creation	: 21-02-2014
#
#  History:
#  21-02-2014	: eck      : creation
#
#  SVN ident	: $Id: nio.md 339156 2016-11-18 18:26:14Z heesakkm $
-->

The NIO library
===============

**NOTE: This library has become obsolete by the introduction of the [CONN](md_lib_conn.html) library**

This document describes the network I/O communication layer. It is the lowest
level of network processing that is controllable by the application.

Only five routines are implemented in this library. It should not be necessary
to have any more functionality available on the side of the application.

In the call to the open-routine can be specified what datacommunication
protocol should be used. Other addressing info, needed for creating the
connection, can be appended to this parameter.

One of two modes can be specified when opening the connection: active or
passive. Only one passive connection can be opened. This will be a connection,
associated with standard input and standard output, over which only Pica3 PDU's
may be transferred.

More than one active connection may be opened. Only socket connections are
implemented.

NIO functions
-------------

| Name		| Description
|---------------|--------------------------------------------------
| NIOOpen()	| Open a connection, given protocol and address 
| NIOSend()	| Send an application buffer to the connection
| NIORecv()	| Receive an application buffer from the connection
| NIOClose()	| Close the connection
| NIOElapsed()	| Elapsed time between last send and receive

Type definitions
----------------

The NIOHandle_t is the handle for network I/O.

	typedef int			NIOHandle_t;

Error values are contained in a global variable:

	extern NIOErrno_t NIOerrno;

| Name		| Description
|---------------|------------
| NIOE_NOERROR	| ok
| NIOE_IO	| io error
| NIOE_OPTION	| error in option
| NIOE_HANDLE	| error in handle
