/*========================================================================
 *  Copyright (c) 1996 by Pica
 *
 *  File        : pplocal.h
 *  Description : Local interfaces for (de-) allocation and elt. manipulation.
 *  Author(s)   : Hans van Eck
 *  Creation    : 01-02-1996
 *
 *  History:
 *  01-02-1996  : eck      : creation
 *  11-06-1999  : BdB   : Add more const's to pointer arguments
 *  23-08-2000  : paul  : Moved PP*Create() and PP*Destroy() to pp.h
 *  20-10-2000  : HvdW  : rename TagCmp -> PPTagCmp
 *  10-05-2002  : paul  : moved PPEltUnlink() to pp.h
 *  20-10-2000  : paul  : moved PPTagCmp() to pp.h
 *
 *  Notes       :
 *
 *========================================================================
 */

#ifndef PPLOCAL_H_INCLUDED
#define PPLOCAL_H_INCLUDED

#pragma ident "$Id: pplocal.h 335412 2016-05-27 11:01:38Z heesakkm $"

#include <pica.h>

PPElement_p PPEltParent(PPElement_p child);

void PPEltInsertBetween(PPElement_p prev, PPElement_p new, PPElement_p next);

PPElement_p PPEltAppend(PPElement_p oldelt, PPElement_p	newelt);

#endif /* PPLOCAL_H_INCLUDED */
