/*========================================================================
 *  Copyright (c) 1996 by Pica
 *
 *  File	: ouftest_main.c
 *  Description	: main routine for OUFTest application
 *  Author(s)	: Peter Jan van der Mespel
 *  Creation	: 31-10-1996
 *
 *  History:
 *  31-10-1996	: peter jan      : creation
 *  24-01-2005	: michael        : removed unused OUFTestOption function
 *
 *  Notes	:
 *
 *========================================================================
 */

#pragma ident "$Id: ouftest_main.c 372153 2019-11-21 13:52:14Z heesakkm $"

#include <stdio.h>
#include <stdlib.h>
#include "ouftest.h"
#include <env.h>
#include <er.h>

/*------------------------------------------------------------------------
 *  Function	: main
 *  Purpose	: main procedure for OUFTest application
 *  Method	: 
 *  Author(s)	: Peter Jan van der Mespel
 *  Creation	: 31-10-1996
 *
 *  History:
 *  31-10-1996	: peter jan: creation
 *  24-01-2005	: michael  : changed ENVInit string to OUFTEST 2.1
 *  21-02-2005	: michael  : restyled - still don't know why this is a sep. file
 *
 *  Notes	: 
 *
 *  Returns	: int
 *------------------------------------------------------------------------
 */
int
main(
	int argc,
	char **argv)
{
    if (!ENVInit(argc, argv, "SVN ident $Id: ouftest_main.c 372153 2019-11-21 13:52:14Z heesakkm $", NULL, ENV_NOFUNC)) {
        ERWrite(ENVerrno, "main.ENVInit", NULL);
        return EXIT_FAILURE;
    }

    if (!OUFTestApplication()) {
	(void) fprintf(stderr, "OUFTest was unsuccessfully terminated!\n");
	(void) fprintf(stderr, "%s\n", OUFTestGetLastError());

        ERWrite(OUFTEST_ERR, __func__, "%s", OUFTestGetLastError());
	return EXIT_FAILURE;
    }

    (void) printf("OUFTest was successfully terminated.\n");

    return EXIT_SUCCESS;
} /* main() */
