#!/bin/bash
#
# Get started with ouf-pica

if [ ! "$OUFMAINDIR" ]
then
  echo "You need to set up the envinronment first"
  echo "  . scripts/profile.sh "
  exit 1
fi

if [ ! -d ouf-8.3.0-vzg1 ]
then
  echo "Unpacking the tarball"
  tar xzf build_ouf-8.3.0-vzg1.tar.gz
fi

if [ ! -x ouf-8.3.0-vzg1/bin/ouf_update ]
then
  echo "Compiling the ouf tools. There will be a few warnings"
  cd $PICAHOME/src
  make all
  ls $PICAHOME/bin
  cd $OUFMAINDIR
fi

for D in rundir rundir/tmp rundir/updsig rundir/data rundir/fetch rundir/trace rundir/processed rundir/xml rundir/done rundir/err bulk
do
  if [ ! -d $D ]
  then
    echo "Creating $D"
    mkdir $D
  fi
done
